"use strict";
// https://core.telegram.org/bots/api#html-style
Object.defineProperty(exports, "__esModule", { value: true });
function escape(text) {
    return text
        .replace(/&/g, '&amp;')
        .replace(/</g, '&lt;')
        .replace(/>/g, '&gt;');
}
function bold(text) {
    return `<b>${escape(text)}</b>`;
}
function italic(text) {
    return `<i>${escape(text)}</i>`;
}
function monospace(text) {
    return `<code>${text}</code>`;
}
function monospaceBlock(text, programmingLanguage) {
    if (programmingLanguage) {
        return `<pre><code class="language-${programmingLanguage}">${text}</code></pre>`;
    }
    return `<pre>${text}</pre>`;
}
function url(label, url) {
    return `<a href="${url}">${escape(label)}</a>`;
}
function userMention(label, userId) {
    return url(label, `tg://user?id=${userId}`);
}
exports.html = {
    parse_mode: 'HTML',
    escape,
    bold,
    italic,
    monospace,
    monospaceBlock,
    url,
    userMention
};
